Index: /trunk/src/bp-activity/bp-activity-notifications.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-notifications.php	(revision 12892)
+++ /trunk/src/bp-activity/bp-activity-notifications.php	(revision 12893)
@@ -20,5 +20,5 @@
  * @param int    $secondary_item_id In the case of at-mentions, this is the mentioner's ID.
  * @param int    $total_items       The total number of notifications to format.
- * @param string $format            'string' to get a BuddyBar-compatible notification, 'array' otherwise.
+ * @param string $format            'string' for notification HTML link or 'array' for separate link and text.
  * @param int    $id                Optional. The notification ID.
  * @return string $return Formatted @mention notification.
Index: /trunk/src/bp-core/bp-core-adminbar.php
===================================================================
--- /trunk/src/bp-core/bp-core-adminbar.php	(revision 12892)
+++ /trunk/src/bp-core/bp-core-adminbar.php	(revision 12893)
@@ -45,10 +45,9 @@
 
 /**
- * Handle the Toolbar/BuddyBar business.
+ * Toggle the display of the toolbar based on certain conditions.
  *
  * @since 1.2.0
  */
 function bp_core_load_admin_bar() {
-
 	// Show the Toolbar for logged out users.
 	if ( ! is_user_logged_in() && (int) bp_get_option( 'hide-loggedout-adminbar' ) != 1 ) {
@@ -56,26 +55,8 @@
 	}
 
-	// Hide the WordPress Toolbar and show the BuddyBar.
+	// Hide the WordPress Toolbar.
 	if ( ! bp_use_wp_admin_bar() ) {
-		_doing_it_wrong( __FUNCTION__, __( 'The BuddyBar is no longer supported. Please migrate to the WordPress toolbar as soon as possible.', 'buddypress' ), '2.1.0' );
-
-		// Load deprecated code if not available.
-		if ( ! function_exists( 'bp_core_admin_bar' ) ) {
-			require buddypress()->plugin_dir . 'bp-core/deprecated/2.1.php';
-		}
-
 		// Keep the WP Toolbar from loading.
 		show_admin_bar( false );
-
-		// Actions used to build the BP Toolbar.
-		add_action( 'bp_adminbar_logo',  'bp_adminbar_logo'               );
-		add_action( 'bp_adminbar_menus', 'bp_adminbar_login_menu',    2   );
-		add_action( 'bp_adminbar_menus', 'bp_adminbar_account_menu',  4   );
-		add_action( 'bp_adminbar_menus', 'bp_adminbar_thisblog_menu', 6   );
-		add_action( 'bp_adminbar_menus', 'bp_adminbar_random_menu',   100 );
-
-		// Actions used to append BP Toolbar to footer.
-		add_action( 'wp_footer',    'bp_core_admin_bar', 8 );
-		add_action( 'admin_footer', 'bp_core_admin_bar'    );
 	}
 }
Index: /trunk/src/bp-core/bp-core-buddybar.php
===================================================================
--- /trunk/src/bp-core/bp-core-buddybar.php	(revision 12892)
+++ /trunk/src/bp-core/bp-core-buddybar.php	(revision 12893)
@@ -6,6 +6,4 @@
  * @subpackage Core
  * @since 1.5.0
- *
- * @todo Deprecate BuddyBar functions.
  */
 
Index: /trunk/src/bp-core/bp-core-functions.php
===================================================================
--- /trunk/src/bp-core/bp-core-functions.php	(revision 12892)
+++ /trunk/src/bp-core/bp-core-functions.php	(revision 12893)
@@ -434,5 +434,5 @@
 function bp_use_wp_admin_bar() {
 
-	// Default to true (to avoid loading deprecated BuddyBar code).
+	// Default to true.
 	$use_admin_bar = true;
 
@@ -440,8 +440,4 @@
 	if ( defined( 'BP_USE_WP_ADMIN_BAR' ) ) {
 		$use_admin_bar = (bool) BP_USE_WP_ADMIN_BAR;
-
-	// ...or is the old BuddyBar being forced back into use?
-	} elseif ( bp_force_buddybar( false ) ) {
-		$use_admin_bar = false;
 	}
 
Index: /trunk/src/bp-core/bp-core-options.php
===================================================================
--- /trunk/src/bp-core/bp-core-options.php	(revision 12892)
+++ /trunk/src/bp-core/bp-core-options.php	(revision 12893)
@@ -90,9 +90,4 @@
 		// HeartBeat is on to refresh activities.
 		'_bp_enable_heartbeat_refresh'         => true,
-
-		/* BuddyBar **********************************************************/
-
-		// Force the BuddyBar.
-		'_bp_force_buddybar'                   => false,
 
 		/* Legacy *********************************************/
@@ -669,25 +664,4 @@
 
 /**
- * Should the old BuddyBar be forced in place of the WP admin bar?
- *
- * @since 1.6.0
- *
- * @param bool $default Optional. Fallback value if not found in the database.
- *                      Default: true.
- * @return bool True if the BuddyBar should be forced on, otherwise false.
- */
-function bp_force_buddybar( $default = true ) {
-
-	/**
-	 * Filters whether or not BuddyBar should be forced in place of WP Admin Bar.
-	 *
-	 * @since 1.6.0
-	 *
-	 * @param bool $value Whether or not BuddyBar should be forced in place of WP Admin Bar.
-	 */
-	return (bool) apply_filters( 'bp_force_buddybar', (bool) bp_get_option( '_bp_force_buddybar', $default ) );
-}
-
-/**
  * Check whether Akismet is enabled.
  *
Index: /trunk/src/bp-core/classes/class-bp-admin.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-admin.php	(revision 12892)
+++ /trunk/src/bp-core/classes/class-bp-admin.php	(revision 12893)
@@ -378,15 +378,4 @@
 		add_settings_field( 'hide-loggedout-adminbar', __( 'Toolbar', 'buddypress' ), 'bp_admin_setting_callback_admin_bar', 'buddypress', 'bp_main' );
 		register_setting( 'buddypress', 'hide-loggedout-adminbar', 'intval' );
-
-		// Only show 'switch to Toolbar' option if the user chose to retain the BuddyBar during the 1.6 upgrade.
-		if ( (bool) bp_get_option( '_bp_force_buddybar', false ) ) {
-			// Load deprecated code if not available.
-			if ( ! function_exists( 'bp_admin_setting_callback_force_buddybar' ) ) {
-				require buddypress()->plugin_dir . 'bp-core/deprecated/2.1.php';
-			}
-
-			add_settings_field( '_bp_force_buddybar', __( 'Toolbar', 'buddypress' ), 'bp_admin_setting_callback_force_buddybar', 'buddypress', 'bp_main' );
-			register_setting( 'buddypress', '_bp_force_buddybar', 'bp_admin_sanitize_callback_force_buddybar' );
-		}
 
 		// Allow account deletion.
Index: unk/src/bp-core/css/buddybar-rtl.css
===================================================================
--- /trunk/src/bp-core/css/buddybar-rtl.css	(revision 12892)
+++ 	(revision )
@@ -1,235 +1,0 @@
-body:not(.wp-admin) {
-	padding-top: 25px !important;
-}
-
-#wp-admin-bar {
-	position: fixed;
-	top: 0;
-	right: 0;
-	height: 25px;
-	font-size: 11px;
-	width: 100%;
-	z-index: 9999;
-}
-
-#wp-admin-bar .padder {
-	position: relative;
-	padding: 0;
-	width: 100%;
-	margin: 0 auto;
-	background: url(../images/60pc_black.png);
-	height: 25px;
-}
-
-body#bp-default #wp-admin-bar .padder {
-	max-width: 1250px;
-}
-
-#wp-admin-bar * {
-	z-index: 999;
-}
-
-#wp-admin-bar div#admin-bar-logo {
-	position: absolute;
-	top: 5px;
-	right: 10px;
-}
-
-#wp-admin-bar a img {
-	border: none;
-}
-
-#wp-admin-bar li {
-	list-style: none;
-	margin: 0;
-	padding: 0;
-	line-height: 1;
-	text-align: right;
-}
-
-#wp-admin-bar li a {
-	padding: 7px 15px;
-	color: #eee;
-	text-decoration: none;
-	font-size: 11px;
-}
-
-#wp-admin-bar li.alt {
-	border: none;
-}
-
-#wp-admin-bar li.no-arrow a {
-	padding-left: 15px;
-}
-
-#wp-admin-bar ul li ul li a span {
-	display: none;
-}
-
-#wp-admin-bar li:hover,
-#wp-admin-bar li.hover {
-	position: static;
-}
-
-#admin-bar-logo {
-	float: right;
-	font-weight: 700;
-	font-size: 11px;
-	padding: 5px 8px;
-	margin: 0;
-	text-decoration: none;
-	color: #fff;
-}
-
-body#bp-default #admin-bar-logo {
-	padding: 2px 8px;
-}
-
-/* all lists */
-#wp-admin-bar ul {
-	margin: 0;
-	list-style: none;
-	line-height: 1;
-	cursor: pointer;
-	height: auto;
-	padding: 0;
-}
-
-/* all list items */
-#wp-admin-bar ul li {
-	padding: 0;
-	float: right;
-	position: relative;
-	background: url(../images/admin-menu-arrow.gif) 12% 53% no-repeat;
-	padding-left: 11px;
-}
-
-#wp-admin-bar ul li.no-arrow {
-	background: none;
-	padding-left: 0;
-}
-
-#wp-admin-bar ul li ul li {
-	background-image: none;
-}
-
-#wp-admin-bar ul li.align-right {
-	position: absolute;
-	left: 0;
-}
-
-#wp-admin-bar ul li a {
-	display: block;
-}
-
-#wp-admin-bar ul.main-nav li:hover,
-#wp-admin-bar ul.main-nav li.sfhover,
-#wp-admin-bar ul.main-nav li ul li.sfhover {
-	background-color: #333;
-}
-
-/* second-level lists */
-#wp-admin-bar ul li ul {
-	position: absolute;
-	width: 185px;
-	right: -999em;
-	margin-right: 0;
-	background: #333;
-	border: 1px solid #222;
-	-moz-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
-	-webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
-	-moz-border-radius: 3px;
-	-webkit-border-radius: 3px;
-	-moz-border-radius-topright: 0;
-	-webkit-border-top-right-radius: 0;
-	-moz-border-radius-topleft: 0;
-	-webkit-border-top-left-radius: 0;
-}
-
-#wp-admin-bar ul li > ul {
-	border-top: none;
-}
-
-#wp-admin-bar ul li ul a {
-	color: #eee;
-}
-
-#wp-admin-bar ul li ul li {
-	float: right;
-	width: 174px;
-	margin: 0;
-}
-
-#wp-admin-bar ul li ul li:hover a {
-	color: #fff;
-}
-
-#wp-admin-bar ul li div.admin-bar-clear {
-	clear: both;
-}
-
-#wp-admin-bar ul.main-nav li ul li:hover,
-#wp-admin-bar ul.main-nav li ul li.sfhover,
-#wp-admin-bar ul.main-nav li ul li.sfhover {
-	background-color: #222;
-}
-
-/* third-and-above-level lists */
-#wp-admin-bar ul li ul ul {
-	margin: -25px 184px 0 0;
-	-moz-border-radius: 3px;
-	-webkit-border-radius: 3px;
-}
-
-#wp-admin-bar ul li ul li:hover ul li a {
-	color: #eee;
-}
-
-#wp-admin-bar ul li ul li ul li:hover a {
-	color: #fff;
-}
-
-#wp-admin-bar ul li:hover ul,
-#wp-admin-bar ul li ul li:hover ul,
-#wp-admin-bar ul li.sfhover ul,
-#wp-admin-bar ul li ul li.sfhover ul {
-	right: auto;
-}
-
-#wp-admin-bar ul li.align-right:hover ul {
-	left: 0;
-}
-
-#wp-admin-bar ul li:hover ul ul,
-#wp-admin-bar li.sfhover ul li ul {
-	right: -999em;
-}
-
-/* Menu item css */
-#wp-admin-bar img.avatar {
-	float: right;
-	margin-left: 8px;
-}
-
-#wp-admin-bar span.activity {
-	display: block;
-	margin-right: 34px;
-	padding: 0;
-}
-
-#wp-admin-bar ul.author-list li a {
-	height: 17px;
-}
-
-#wp-admin-bar ul li#bp-adminbar-notifications-menu a span {
-	padding: 0 6px;
-	margin-right: 2px;
-	background: #fff;
-	color: #000;
-	border-radius: 3px;
-}
-
-#wp-admin-bar-user-info img.avatar {
-	height: 64px;
-	width: 64px;
-}
Index: unk/src/bp-core/css/buddybar.css
===================================================================
--- /trunk/src/bp-core/css/buddybar.css	(revision 12892)
+++ 	(revision )
@@ -1,235 +1,0 @@
-body:not(.wp-admin) {
-	padding-top: 25px !important;
-}
-
-#wp-admin-bar {
-	position: fixed;
-	top: 0;
-	left: 0;
-	height: 25px;
-	font-size: 11px;
-	width: 100%;
-	z-index: 9999;
-}
-
-#wp-admin-bar .padder {
-	position: relative;
-	padding: 0;
-	width: 100%;
-	margin: 0 auto;
-	background: url(../images/60pc_black.png);
-	height: 25px;
-}
-
-body#bp-default #wp-admin-bar .padder {
-	max-width: 1250px;
-}
-
-#wp-admin-bar * {
-	z-index: 999;
-}
-
-#wp-admin-bar div#admin-bar-logo {
-	position: absolute;
-	top: 5px;
-	left: 10px;
-}
-
-#wp-admin-bar a img {
-	border: none;
-}
-
-#wp-admin-bar li {
-	list-style: none;
-	margin: 0;
-	padding: 0;
-	line-height: 1;
-	text-align: left;
-}
-
-#wp-admin-bar li a {
-	padding: 7px 15px;
-	color: #eee;
-	text-decoration: none;
-	font-size: 11px;
-}
-
-#wp-admin-bar li.alt {
-	border: none;
-}
-
-#wp-admin-bar li.no-arrow a {
-	padding-right: 15px;
-}
-
-#wp-admin-bar ul li ul li a span {
-	display: none;
-}
-
-#wp-admin-bar li:hover,
-#wp-admin-bar li.hover {
-	position: static;
-}
-
-#admin-bar-logo {
-	float: left;
-	font-weight: 700;
-	font-size: 11px;
-	padding: 5px 8px;
-	margin: 0;
-	text-decoration: none;
-	color: #fff;
-}
-
-body#bp-default #admin-bar-logo {
-	padding: 2px 8px;
-}
-
-/* all lists */
-#wp-admin-bar ul {
-	margin: 0;
-	list-style: none;
-	line-height: 1;
-	cursor: pointer;
-	height: auto;
-	padding: 0;
-}
-
-/* all list items */
-#wp-admin-bar ul li {
-	padding: 0;
-	float: left;
-	position: relative;
-	background: url(../images/admin-menu-arrow.gif) 88% 53% no-repeat;
-	padding-right: 11px;
-}
-
-#wp-admin-bar ul li.no-arrow {
-	background: none;
-	padding-right: 0;
-}
-
-#wp-admin-bar ul li ul li {
-	background-image: none;
-}
-
-#wp-admin-bar ul li.align-right {
-	position: absolute;
-	right: 0;
-}
-
-#wp-admin-bar ul li a {
-	display: block;
-}
-
-#wp-admin-bar ul.main-nav li:hover,
-#wp-admin-bar ul.main-nav li.sfhover,
-#wp-admin-bar ul.main-nav li ul li.sfhover {
-	background-color: #333;
-}
-
-/* second-level lists */
-#wp-admin-bar ul li ul {
-	position: absolute;
-	width: 185px;
-	left: -999em;
-	margin-left: 0;
-	background: #333;
-	border: 1px solid #222;
-	-moz-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
-	-webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
-	-moz-border-radius: 3px;
-	-webkit-border-radius: 3px;
-	-moz-border-radius-topleft: 0;
-	-webkit-border-top-left-radius: 0;
-	-moz-border-radius-topright: 0;
-	-webkit-border-top-right-radius: 0;
-}
-
-#wp-admin-bar ul li > ul {
-	border-top: none;
-}
-
-#wp-admin-bar ul li ul a {
-	color: #eee;
-}
-
-#wp-admin-bar ul li ul li {
-	float: left;
-	width: 174px;
-	margin: 0;
-}
-
-#wp-admin-bar ul li ul li:hover a {
-	color: #fff;
-}
-
-#wp-admin-bar ul li div.admin-bar-clear {
-	clear: both;
-}
-
-#wp-admin-bar ul.main-nav li ul li:hover,
-#wp-admin-bar ul.main-nav li ul li.sfhover,
-#wp-admin-bar ul.main-nav li ul li.sfhover {
-	background-color: #222;
-}
-
-/* third-and-above-level lists */
-#wp-admin-bar ul li ul ul {
-	margin: -25px 0 0 184px;
-	-moz-border-radius: 3px;
-	-webkit-border-radius: 3px;
-}
-
-#wp-admin-bar ul li ul li:hover ul li a {
-	color: #eee;
-}
-
-#wp-admin-bar ul li ul li ul li:hover a {
-	color: #fff;
-}
-
-#wp-admin-bar ul li:hover ul,
-#wp-admin-bar ul li ul li:hover ul,
-#wp-admin-bar ul li.sfhover ul,
-#wp-admin-bar ul li ul li.sfhover ul {
-	left: auto;
-}
-
-#wp-admin-bar ul li.align-right:hover ul {
-	right: 0;
-}
-
-#wp-admin-bar ul li:hover ul ul,
-#wp-admin-bar li.sfhover ul li ul {
-	left: -999em;
-}
-
-/* Menu item css */
-#wp-admin-bar img.avatar {
-	float: left;
-	margin-right: 8px;
-}
-
-#wp-admin-bar span.activity {
-	display: block;
-	margin-left: 34px;
-	padding: 0;
-}
-
-#wp-admin-bar ul.author-list li a {
-	height: 17px;
-}
-
-#wp-admin-bar ul li#bp-adminbar-notifications-menu a span {
-	padding: 0 6px;
-	margin-left: 2px;
-	background: #fff;
-	color: #000;
-	border-radius: 3px;
-}
-
-#wp-admin-bar-user-info img.avatar {
-	height: 64px;
-	width: 64px;
-}
Index: /trunk/src/bp-core/deprecated/2.1.php
===================================================================
--- /trunk/src/bp-core/deprecated/2.1.php	(revision 12892)
+++ /trunk/src/bp-core/deprecated/2.1.php	(revision 12893)
@@ -40,59 +40,4 @@
  */
 function bp_adminbar_blogs_menu() {
-
-	if ( ! is_user_logged_in() || ! bp_is_active( 'blogs' ) ) {
-		return false;
-	}
-
-	if ( ! is_multisite() ) {
-		return false;
-	}
-
-	$blogs = wp_cache_get( 'bp_blogs_of_user_' . bp_loggedin_user_id() . '_inc_hidden', 'bp' );
-	if ( empty( $blogs ) ) {
-		$blogs = bp_blogs_get_blogs_for_user( bp_loggedin_user_id(), true );
-		wp_cache_set( 'bp_blogs_of_user_' . bp_loggedin_user_id() . '_inc_hidden', $blogs, 'bp' );
-	}
-
-	$counter = 0;
-	if ( is_array( $blogs['blogs'] ) && (int) $blogs['count'] ) {
-
-		echo '<li id="bp-adminbar-blogs-menu"><a href="' . trailingslashit( bp_loggedin_user_domain() . bp_get_blogs_slug() ) . '">';
-
-		_e( 'My Sites', 'buddypress' );
-
-		echo '</a>';
-		echo '<ul>';
-
-		foreach ( (array) $blogs['blogs'] as $blog ) {
-			$alt      = ( 0 == $counter % 2 ) ? ' class="alt"' : '';
-			$site_url = esc_attr( $blog->siteurl );
-
-			echo '<li' . $alt . '>';
-			echo '<a href="' . $site_url . '">' . esc_html( $blog->name ) . '</a>';
-			echo '<ul>';
-			echo '<li class="alt"><a href="' . $site_url . 'wp-admin/">' . __( 'Dashboard', 'buddypress' ) . '</a></li>';
-			echo '<li><a href="' . $site_url . 'wp-admin/post-new.php">' . __( 'New Post', 'buddypress' ) . '</a></li>';
-			echo '<li class="alt"><a href="' . $site_url . 'wp-admin/edit.php">' . __( 'Manage Posts', 'buddypress' ) . '</a></li>';
-			echo '<li><a href="' . $site_url . 'wp-admin/edit-comments.php">' . __( 'Manage Comments', 'buddypress' ) . '</a></li>';
-			echo '</ul>';
-
-			do_action( 'bp_adminbar_blog_items', $blog );
-
-			echo '</li>';
-			$counter++;
-		}
-
-		$alt = ( 0 == $counter % 2 ) ? ' class="alt"' : '';
-
-		if ( bp_blog_signup_enabled() ) {
-			echo '<li' . $alt . '>';
-			echo '<a href="' . trailingslashit( bp_get_blogs_directory_permalink() . 'create' ) . '">' . __( 'Create a Site!', 'buddypress' ) . '</a>';
-			echo '</li>';
-		}
-
-		echo '</ul>';
-		echo '</li>';
-	}
 }
 
@@ -105,10 +50,4 @@
  */
 function bp_admin_setting_callback_force_buddybar() {
-?>
-
-	<input id="_bp_force_buddybar" name="_bp_force_buddybar" type="checkbox" value="1" <?php checked( ! bp_force_buddybar( true ) ); ?> />
-	<label for="_bp_force_buddybar"><?php _e( 'Switch to WordPress Toolbar', 'buddypress' ); ?></label>
-
-<?php
 }
 
@@ -136,30 +75,4 @@
  */
 function bp_core_admin_bar() {
-	$bp = buddypress();
-
-	if ( defined( 'BP_DISABLE_ADMIN_BAR' ) && BP_DISABLE_ADMIN_BAR ) {
-		return false;
-	}
-
-	if ( (int) bp_get_option( 'hide-loggedout-adminbar' ) && !is_user_logged_in() ) {
-		return false;
-	}
-
-	$bp->doing_admin_bar = true;
-
-	echo '<div id="wp-admin-bar"><div class="padder">';
-
-	// **** Do bp-adminbar-logo Actions ********
-	do_action( 'bp_adminbar_logo' );
-
-	echo '<ul class="main-nav">';
-
-	// **** Do bp-adminbar-menus Actions ********
-	do_action( 'bp_adminbar_menus' );
-
-	echo '</ul>';
-	echo "</div></div><!-- #wp-admin-bar -->\n\n";
-
-	$bp->doing_admin_bar = false;
 }
 
@@ -170,5 +83,4 @@
  */
 function bp_adminbar_logo() {
-	echo '<a href="' . bp_get_root_domain() . '" id="admin-bar-logo">' . get_blog_option( bp_get_root_blog_id(), 'blogname' ) . '</a>';
 }
 
@@ -183,15 +95,4 @@
  */
 function bp_adminbar_login_menu() {
-
-	if ( is_user_logged_in() ) {
-		return false;
-	}
-
-	echo '<li class="bp-login no-arrow"><a href="' . wp_login_url() . '">' . __( 'Log In', 'buddypress' ) . '</a></li>';
-
-	// Show "Sign Up" link if user registrations are allowed.
-	if ( bp_get_signup_allowed() ) {
-		echo '<li class="bp-signup no-arrow"><a href="' . bp_get_signup_page() . '">' . __( 'Sign Up', 'buddypress' ) . '</a></li>';
-	}
 }
 
@@ -204,77 +105,7 @@
  */
 function bp_adminbar_account_menu() {
-	$bp = buddypress();
-
-	if ( empty( $bp->bp_nav ) || ! is_user_logged_in() ) {
-		return false;
-	}
-
-	echo '<li id="bp-adminbar-account-menu"><a href="' . bp_loggedin_user_domain() . '">';
-	echo __( 'My Account', 'buddypress' ) . '</a>';
-	echo '<ul>';
-
-	// Loop through each navigation item.
-	$counter = 0;
-	foreach( (array) $bp->bp_nav as $nav_item ) {
-		$alt = ( 0 == $counter % 2 ) ? ' class="alt"' : '';
-
-		if ( -1 == $nav_item['position'] ) {
-			continue;
-		}
-
-		echo '<li' . $alt . '>';
-		echo '<a id="bp-admin-' . $nav_item['css_id'] . '" href="' . $nav_item['link'] . '">' . $nav_item['name'] . '</a>';
-
-		if ( isset( $bp->bp_options_nav[$nav_item['slug']] ) && is_array( $bp->bp_options_nav[$nav_item['slug']] ) ) {
-			echo '<ul>';
-			$sub_counter = 0;
-
-			foreach( (array) $bp->bp_options_nav[$nav_item['slug']] as $subnav_item ) {
-				$link = $subnav_item['link'];
-				$name = $subnav_item['name'];
-
-				if ( bp_displayed_user_domain() ) {
-					$link = str_replace( bp_displayed_user_domain(), bp_loggedin_user_domain(), $subnav_item['link'] );
-				}
-
-				if ( isset( $bp->displayed_user->userdata->user_login ) ) {
-					$name = str_replace( $bp->displayed_user->userdata->user_login, $bp->loggedin_user->userdata->user_login, $subnav_item['name'] );
-				}
-
-				$alt = ( 0 == $sub_counter % 2 ) ? ' class="alt"' : '';
-				echo '<li' . $alt . '><a id="bp-admin-' . $subnav_item['css_id'] . '" href="' . $link . '">' . $name . '</a></li>';
-				$sub_counter++;
-			}
-			echo '</ul>';
-		}
-
-		echo '</li>';
-
-		$counter++;
-	}
-
-	$alt = ( 0 == $counter % 2 ) ? ' class="alt"' : '';
-
-	echo '<li' . $alt . '><a id="bp-admin-logout" class="logout" href="' . wp_logout_url( home_url() ) . '">' . __( 'Log Out', 'buddypress' ) . '</a></li>';
-	echo '</ul>';
-	echo '</li>';
 }
 
 function bp_adminbar_thisblog_menu() {
-	if ( current_user_can( 'edit_posts' ) ) {
-		echo '<li id="bp-adminbar-thisblog-menu"><a href="' . admin_url() . '">';
-		_e( 'Dashboard', 'buddypress' );
-		echo '</a>';
-		echo '<ul>';
-
-		echo '<li class="alt"><a href="' . admin_url() . 'post-new.php">' . __( 'New Post', 'buddypress' ) . '</a></li>';
-		echo '<li><a href="' . admin_url() . 'edit.php">' . __( 'Manage Posts', 'buddypress' ) . '</a></li>';
-		echo '<li class="alt"><a href="' . admin_url() . 'edit-comments.php">' . __( 'Manage Comments', 'buddypress' ) . '</a></li>';
-
-		do_action( 'bp_adminbar_thisblog_items' );
-
-		echo '</ul>';
-		echo '</li>';
-	}
 }
 
@@ -287,29 +118,4 @@
  */
 function bp_adminbar_random_menu() {
-?>
-
-	<li class="align-right" id="bp-adminbar-visitrandom-menu">
-		<a href="#"><?php _e( 'Visit', 'buddypress' ) ?></a>
-		<ul class="random-list">
-			<li><a href="<?php bp_members_directory_permalink(); ?>?random-member" rel="nofollow"><?php _e( 'Random Member', 'buddypress' ) ?></a></li>
-
-			<?php if ( bp_is_active( 'groups' ) ) : ?>
-
-				<li class="alt"><a href="<?php bp_groups_directory_permalink(); ?>?random-group"  rel="nofollow"><?php _e( 'Random Group', 'buddypress' ) ?></a></li>
-
-			<?php endif; ?>
-
-			<?php if ( is_multisite() && bp_is_active( 'blogs' ) ) : ?>
-
-				<li><a href="<?php bp_blogs_directory_permalink(); ?>?random-blog"  rel="nofollow"><?php _e( 'Random Site', 'buddypress' ) ?></a></li>
-
-			<?php endif; ?>
-
-			<?php do_action( 'bp_adminbar_random_menu' ) ?>
-
-		</ul>
-	</li>
-
-	<?php
 }
 
@@ -320,25 +126,5 @@
  */
 function bp_core_load_buddybar_css() {
-
-	if ( bp_use_wp_admin_bar() || ( (int) bp_get_option( 'hide-loggedout-adminbar' ) && !is_user_logged_in() ) || ( defined( 'BP_DISABLE_ADMIN_BAR' ) && BP_DISABLE_ADMIN_BAR ) ) {
-		return;
-	}
-
-	$min = bp_core_get_minified_asset_suffix();
-
-	if ( file_exists( get_stylesheet_directory() . '/_inc/css/adminbar.css' ) ) { // Backwards compatibility.
-		$stylesheet = get_stylesheet_directory_uri() . '/_inc/css/adminbar.css';
-	} else {
-		$stylesheet = buddypress()->plugin_url . "bp-core/css/buddybar{$min}.css";
-	}
-
-	wp_enqueue_style( 'bp-admin-bar', apply_filters( 'bp_core_buddybar_rtl_css', $stylesheet ), array(), bp_get_version() );
-
-	wp_style_add_data( 'bp-admin-bar', 'rtl', 'replace' );
-	if ( $min ) {
-		wp_style_add_data( 'bp-admin-bar', 'suffix', $min );
-	}
-}
-add_action( 'bp_init', 'bp_core_load_buddybar_css' );
+}
 
 /**
@@ -350,53 +136,5 @@
  */
 function bp_groups_adminbar_admin_menu() {
-	$bp = buddypress();
-
-	if ( empty( $bp->groups->current_group ) ) {
-		return false;
-	}
-
-	// Only group admins and site admins can see this menu.
-	if ( !current_user_can( 'edit_users' ) && !bp_current_user_can( 'bp_moderate' ) && !bp_is_item_admin() ) {
-		return false;
-	} ?>
-
-	<li id="bp-adminbar-adminoptions-menu">
-		<a href="<?php bp_groups_action_link( 'admin' ); ?>"><?php _e( 'Admin Options', 'buddypress' ); ?></a>
-
-		<ul>
-			<li><a href="<?php bp_groups_action_link( 'admin/edit-details' ); ?>"><?php _e( 'Edit Details', 'buddypress' ); ?></a></li>
-
-			<li><a href="<?php bp_groups_action_link( 'admin/group-settings' );  ?>"><?php _e( 'Group Settings', 'buddypress' ); ?></a></li>
-
-			<?php if ( !(int)bp_get_option( 'bp-disable-avatar-uploads' ) && $bp->avatar->show_avatars ) : ?>
-
-				<li><a href="<?php bp_groups_action_link( 'admin/group-avatar' ); ?>"><?php _e( 'Group Profile Photo', 'buddypress' ); ?></a></li>
-
-			<?php endif; ?>
-
-			<?php if ( bp_is_active( 'friends' ) ) : ?>
-
-				<li><a href="<?php bp_groups_action_link( 'send-invites' ); ?>"><?php _e( 'Manage Invitations', 'buddypress' ); ?></a></li>
-
-			<?php endif; ?>
-
-			<li><a href="<?php bp_groups_action_link( 'admin/manage-members' ); ?>"><?php _e( 'Manage Members', 'buddypress' ); ?></a></li>
-
-			<?php if ( $bp->groups->current_group->status == 'private' ) : ?>
-
-				<li><a href="<?php bp_groups_action_link( 'admin/membership-requests' ); ?>"><?php _e( 'Membership Requests', 'buddypress' ); ?></a></li>
-
-			<?php endif; ?>
-
-			<li><a class="confirm" href="<?php echo wp_nonce_url( bp_get_group_permalink( $bp->groups->current_group ) . 'admin/delete-group/', 'groups_delete_group' ); ?>&amp;delete-group-button=1&amp;delete-group-understand=1"><?php _e( "Delete Group", 'buddypress' ) ?></a></li>
-
-			<?php do_action( 'bp_groups_adminbar_admin_menu' ) ?>
-
-		</ul>
-	</li>
-
-	<?php
-}
-add_action( 'bp_adminbar_menus', 'bp_groups_adminbar_admin_menu', 20 );
+}
 
 /**
@@ -406,13 +144,5 @@
  */
 function bp_adminbar_notifications_menu() {
-
-	// Bail if notifications is not active.
-	if ( ! bp_is_active( 'notifications' ) ) {
-		return false;
-	}
-
-	bp_notifications_buddybar_menu();
-}
-add_action( 'bp_adminbar_menus', 'bp_adminbar_notifications_menu', 8 );
+}
 
 /**
@@ -422,54 +152,5 @@
  */
 function bp_adminbar_authors_menu() {
-	global $wpdb;
-
-	// Only for multisite.
-	if ( ! is_multisite() ) {
-		return false;
-	}
-
-	// Hide on root blog.
-	if ( bp_is_root_blog( $wpdb->blogid ) || ! bp_is_active( 'blogs' ) ) {
-		return false;
-	}
-
-	$blog_prefix = $wpdb->get_blog_prefix( $wpdb->blogid );
-	$authors     = $wpdb->get_results( "SELECT user_id, user_login, user_nicename, display_name, user_email, meta_value as caps FROM $wpdb->users u, $wpdb->usermeta um WHERE u.ID = um.user_id AND meta_key = '{$blog_prefix}capabilities' ORDER BY um.user_id" );
-
-	if ( !empty( $authors ) ) {
-		// This is a blog, render a menu with links to all authors.
-		echo '<li id="bp-adminbar-authors-menu"><a href="/">';
-		_e('Blog Authors', 'buddypress');
-		echo '</a>';
-
-		echo '<ul class="author-list">';
-		foreach( (array) $authors as $author ) {
-			$caps = maybe_unserialize( $author->caps );
-			if ( isset( $caps['subscriber'] ) || isset( $caps['contributor'] ) ) {
-				continue;
-			}
-
-			echo '<li>';
-			echo '<a href="' . bp_core_get_user_domain( $author->user_id, $author->user_nicename, $author->user_login ) . '">';
-			echo bp_core_fetch_avatar( array(
-				'item_id' => $author->user_id,
-				'email'   => $author->user_email,
-				'width'   => 15,
-				'height'  => 15,
-				'alt'     => sprintf(
-					/* translators: %s: member name */
-					__( 'Profile picture of %s', 'buddypress' ),
-					$author->display_name
-				),
-			) );
-			echo ' ' . $author->display_name . '</a>';
-			echo '<div class="admin-bar-clear"></div>';
-			echo '</li>';
-		}
-		echo '</ul>';
-		echo '</li>';
-	}
-}
-add_action( 'bp_adminbar_menus', 'bp_adminbar_authors_menu', 12 );
+}
 
 /**
@@ -482,61 +163,5 @@
  */
 function bp_members_adminbar_admin_menu() {
-
-	// Only show if viewing a user.
-	if ( ! bp_displayed_user_id() ) {
-		return false;
-	}
-
-	// Don't show this menu to non site admins or if you're viewing your own profile.
-	if ( !current_user_can( 'edit_users' ) || bp_is_my_profile() ) {
-		return false;
-	} ?>
-
-	<li id="bp-adminbar-adminoptions-menu">
-
-		<a href=""><?php _e( 'Admin Options', 'buddypress' ) ?></a>
-
-		<ul>
-			<?php if ( bp_is_active( 'xprofile' ) ) : ?>
-
-				<li>
-					<a href="<?php bp_members_component_link( 'profile', 'edit' ); ?>">
-						<?php
-						/* translators: %s: member name */
-						printf( __( "Edit %s's Profile", 'buddypress' ), esc_attr( bp_get_displayed_user_fullname() ) );
-						?>
-					</a>
-				</li>
-
-			<?php endif ?>
-
-			<li>
-				<a href="<?php bp_members_component_link( 'profile', 'change-avatar' ); ?>">
-					<?php
-					/* translators: %s: member name */
-					printf( _x( "Edit %s's Profile Photo", 'deprecated string', 'buddypress' ), esc_attr( bp_get_displayed_user_fullname() ) );
-					?>
-				</a>
-			</li>
-
-			<li><a href="<?php bp_members_component_link( 'settings', 'capabilities' ); ?>"><?php _e( 'User Capabilities', 'buddypress' ); ?></a></li>
-
-			<li>
-				<a href="<?php bp_members_component_link( 'settings', 'delete-account' ); ?>">
-					<?php
-					/* translators: %s: member name */
-					printf( _x( "Delete %s's Account", 'deprecated string', 'buddypress' ), esc_attr( bp_get_displayed_user_fullname() ) );
-					?>
-				</a>
-			</li>
-
-			<?php do_action( 'bp_members_adminbar_admin_menu' ) ?>
-
-		</ul>
-	</li>
-
-	<?php
-}
-add_action( 'bp_adminbar_menus', 'bp_members_adminbar_admin_menu', 20 );
+}
 
 /**
@@ -547,43 +172,5 @@
  */
 function bp_notifications_buddybar_menu() {
-
-	if ( ! is_user_logged_in() ) {
-		return false;
-	}
-
-	echo '<li id="bp-adminbar-notifications-menu"><a href="' . esc_url( bp_loggedin_user_domain() ) . '">';
-	_e( 'Notifications', 'buddypress' );
-
-	$notification_count = bp_notifications_get_unread_notification_count( bp_loggedin_user_id() );
-	$notifications      = bp_notifications_get_notifications_for_user( bp_loggedin_user_id() );
-
-	if ( ! empty( $notification_count ) ) : ?>
-		<span><?php echo bp_core_number_format( $notification_count ); ?></span>
-	<?php
-	endif;
-
-	echo '</a>';
-	echo '<ul>';
-
-	if ( ! empty( $notifications ) ) {
-		$counter = 0;
-		for ( $i = 0, $count = count( $notifications ); $i < $count; ++$i ) {
-			$alt = ( 0 == $counter % 2 ) ? ' class="alt"' : ''; ?>
-
-			<li<?php echo $alt ?>><?php echo $notifications[$i] ?></li>
-
-			<?php $counter++;
-		}
-	} else { ?>
-
-		<li><a href="<?php echo esc_url( bp_loggedin_user_domain() ); ?>"><?php _e( 'No new notifications.', 'buddypress' ); ?></a></li>
-
-	<?php
-	}
-
-	echo '</ul>';
-	echo '</li>';
-}
-add_action( 'bp_adminbar_menus', 'bp_adminbar_notifications_menu', 8 );
+}
 
 /**
Index: /trunk/src/bp-core/deprecated/8.0.php
===================================================================
--- /trunk/src/bp-core/deprecated/8.0.php	(revision 12892)
+++ /trunk/src/bp-core/deprecated/8.0.php	(revision 12893)
@@ -39,2 +39,19 @@
 	return bp_members_new_avatar_activity( $user_id );
 }
+
+/**
+ * Should the old BuddyBar be forced in place of the WP admin bar?
+ *
+ * We deprecated the BuddyBar in v2.1.0, but have completely removed it in
+ * v8.0.
+ *
+ * @since 1.6.0
+ * @deprecated 8.0.0
+ *
+ * @return bool
+ */
+function bp_force_buddybar() {
+	_deprecated_function( __FUNCTION__, '8.0' );
+
+	return false;
+}
Index: /trunk/src/bp-groups/bp-groups-notifications.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-notifications.php	(revision 12892)
+++ /trunk/src/bp-groups/bp-groups-notifications.php	(revision 12893)
@@ -383,5 +383,5 @@
  * @param int    $total_items       The total number of messaging-related notifications
  *                                  waiting for the user.
- * @param string $format            'string' for BuddyBar-compatible notifications; 'array'
+ * @param string $format            'string' for notification HTML link or 'array' for separate link and text.
  *                                  for WP Toolbar. Default: 'string'.
  * @return string
Index: /trunk/src/bp-groups/classes/class-bp-groups-component.php
===================================================================
--- /trunk/src/bp-groups/classes/class-bp-groups-component.php	(revision 12892)
+++ /trunk/src/bp-groups/classes/class-bp-groups-component.php	(revision 12893)
@@ -595,5 +595,5 @@
 				'name'                => __( 'Memberships', 'buddypress' ),
 				'slug'                => $this->current_group->slug,
-				'position'            => -1, // Do not show in BuddyBar.
+				'position'            => -1, // Do not show into the navigation.
 				'screen_function'     => 'groups_screen_group_home',
 				'default_subnav_slug' => $this->default_extension,
Index: /trunk/src/bp-messages/bp-messages-notifications.php
===================================================================
--- /trunk/src/bp-messages/bp-messages-notifications.php	(revision 12892)
+++ /trunk/src/bp-messages/bp-messages-notifications.php	(revision 12893)
@@ -21,6 +21,5 @@
  * @param int    $total_items       The total number of messaging-related notifications
  *                                  waiting for the user.
- * @param string $format            Return value format. 'string' for BuddyBar-compatible
- *                                  notifications; 'array' for WP Toolbar. Default: 'string'.
+ * @param string $format            'string' for notification HTML link or 'array' for separate link and text.
  * @return string|array Formatted notifications.
  */
Index: /trunk/src/bp-xprofile/bp-xprofile-notifications.php
===================================================================
--- /trunk/src/bp-xprofile/bp-xprofile-notifications.php	(revision 12892)
+++ /trunk/src/bp-xprofile/bp-xprofile-notifications.php	(revision 12893)
@@ -20,6 +20,5 @@
  * @param int    $total_items       The total number of messaging-related notifications
  *                                  waiting for the user.
- * @param string $format            'string' for BuddyBar-compatible notifications; 'array'
- *                                  for WP Toolbar. Default: 'string'.
+ * @param string $format            'string' for notification HTML link or 'array' for separate link and text.
  * @return string
  */
